Subject: Re: How to use the device tree for lite5200

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 06 Dec 2006 20:16:49 +0100

Kumar Gala wrote:
> 
> On Dec 6, 2006, at 9:59 AM, Wolfgang Grandegger wrote:
> 
>> Hello,
>>
>> I want to boot PowerPC Linux 2.6.19 on my Icecube board but I didn't
>> succeed yet to get lite5200.dts compiled and an appropriate image 
>> created:
>>
>>    $ dtc -b0 lite5200.dts
>>    DTC: dts->dts  on file "lite5200.dts"
>>    ERROR: Missing /chosen node
>>    Input tree has errors
>>
>> What is the procedure to make and boot an uImage for the U-Boot
>> bootloader. I read about the third argument for bootm but did not
>> understand how to use it.
> 
> How have you booted in the past?  Do you tftp down the images or run 
> from flash?

Yes, at least for development.

> Here's an example assuming you have a kernel image at address $loadaddr 
> and the dtb at $ftaddr
> 
> dtc -b0 -Idts -Odtb -V16 lite5200.dts > lite5200.dtb
> 
> download lite5200.dtb to the system
> 
> => bootm $loadaddr - $fdtaddr

Great, that worked with the additional "-f" option, as suggested by 
Grant. Now I can boot the kernel but BESTCOM and FEC support seem still 
missing. Are there already patches around?

Thanks to all who replied.

Wolfgang.